LibreOffice: XComment Interface Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
XComment Interface Reference

`import"XComment.idl";`

Inheritance diagram for XComment:

## Additional Inherited Members
Public Member Functions inherited from XCharacterData
void | appendData ([in] string arg) raises (DOMException)
| Append the string to the end of the character data of the node. More...
void | deleteData ([in] long offset, [in] long count) raises (DOMException)
| Remove a range of 16-bit units from the node. More...
string | getData () raises (DOMException)
| Return the character data of the node that implements this interface. More...
long | getLength ()
| The number of 16-bit units that are available through data and the substringData method below. More...
void | insertData ([in] long offset, [in] string arg) raises (DOMException)
| Insert a string at the specified 16-bit unit offset. More...
void | replaceData ([in] long offset, [in] long count, [in] string arg) raises (DOMException)
| Replace the characters starting at the specified 16-bit unit offset with the specified string. More...
void | setData ([in] string data) raises (DOMException)
| Set the character data of the node that implements this interface. More...
string | subStringData ([in] long offset, [in] long count) raises (DOMException)
| Extracts a range of data from the node. More...
Public Member Functions inherited from XNode
XNode | appendChild ([in] XNode newChild) raises (DOMException)
| Adds the node newChild to the end of the list of children of this node. More...
XNode | cloneNode ([in] boolean deep)
| Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. More...
XNamedNodeMap | getAttributes ()
| A NamedNodeMap containing the attributes of this node (if it is an Element) or null otherwise. More...
XNodeList | getChildNodes ()
| A NodeList that contains all children of this node. More...
XNode | getFirstChild ()
| The first child of this node. More...
XNode | getLastChild ()
| The last child of this node. More...
string | getLocalName ()
| Returns the local part of the qualified name of this node. More...
string | getNamespaceURI ()
| The namespace URI of this node, or null if it is unspecified. More...
XNode | getNextSibling ()
| The node immediately following this node. More...
string | getNodeName ()
| The name of this node, depending on its type; see the table above. More...
NodeType | getNodeType ()
| A code representing the type of the underlying object, as defined above. More...
string | getNodeValue () raises (DOMException)
| The value of this node, depending on its type; see the table above. More...
XDocument | getOwnerDocument ()
| The Document object associated with this node. More...
XNode | getParentNode ()
| The parent of this node. More...
string | getPrefix ()
| The namespace prefix of this node, or null if it is unspecified. More...
XNode | getPreviousSibling ()
| The node immediately preceding this node. More...
boolean | hasAttributes ()
| Returns whether this node (if it is an element) has any attributes. More...
boolean | hasChildNodes ()
| Returns whether this node has any children. More...
XNode | insertBefore ([in] XNode newChild, [in] XNode refChild) raises (DOMException)
| Inserts the node newChild before the existing child node refChild. More...
boolean | isSupported ([in] string feature, [in] string ver)
| Tests whether the DOM implementation implements a specific feature and that feature is supported by this node. More...
void | normalize ()
| Puts all Text nodes in the full depth of the sub-tree underneath this Node, including attribute nodes, into a "normal" form where only structure (e.g., elements, comments, processing instructions, CDATA sections, and entity references) separates Text nodes, i.e., there are neither adjacent Text nodes nor empty Text nodes. More...
XNode | removeChild ([in] XNode oldChild) raises (DOMException)
| Removes the child node indicated by oldChild from the list of children, and returns it. More...
XNode | replaceChild ([in] XNode newChild, [in] XNode oldChild) raises (DOMException)
| Replaces the child node oldChild with newChild in the list of children, and returns the oldChild node. More...
void | setNodeValue ([in] string nodeValue) raises (DOMException)
| The value of this node, depending on its type; see the table above. More...
void | setPrefix ([in] string prefix) raises (DOMException)
| The namespace prefix of this node, or null if it is unspecified. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/XComment.idl